r65583 - in /trunk/libcgi-application-plugin-authentication-perl/debian: changelog components/install

periapt-guest at users.alioth.debian.org periapt-guest at users.alioth.debian.org
Wed Dec 8 20:56:23 UTC 2010


Author: periapt-guest
Date: Wed Dec  8 20:55:13 2010
New Revision: 65583

URL: http://svn.debian.org/wsvn/pkg-perl/?sc=1&rev=65583
Log:
believed to be ready for release pending related packages

Added:
    trunk/libcgi-application-plugin-authentication-perl/debian/components/install   (with props)
Modified:
    trunk/libcgi-application-plugin-authentication-perl/debian/changelog

Modified: trunk/libcgi-application-plugin-authentication-perl/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libcgi-application-plugin-authentication-perl/debian/changelog?rev=65583&op=diff
==============================================================================
--- trunk/libcgi-application-plugin-authentication-perl/debian/changelog (original)
+++ trunk/libcgi-application-plugin-authentication-perl/debian/changelog Wed Dec  8 20:55:13 2010
@@ -1,6 +1,4 @@
 libcgi-application-plugin-authentication-perl (0.19-1) UNRELEASED; urgency=low
-
-  TODO: needs to be done in conjuction with other packages
 
   * Initial Release. (Closes: #605530)
 

Added: trunk/libcgi-application-plugin-authentication-perl/debian/components/install
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libcgi-application-plugin-authentication-perl/debian/components/install?rev=65583&op=file
==============================================================================
--- trunk/libcgi-application-plugin-authentication-perl/debian/components/install (added)
+++ trunk/libcgi-application-plugin-authentication-perl/debian/components/install Wed Dec  8 20:55:13 2010
@@ -1,0 +1,42 @@
+#!/bin/sh
+
+TDIR=COMPONENTS/${DH_COMPONENT}
+DESTDIR=debian/
+
+if [ -z ${PACKAGE} ]
+then
+    echo PACKAGE not set
+    exit 1
+fi
+PERL=$(which perl)
+PERL="${PERL} -I../../debian/${PACKAGE}/usr/share/perl5"
+
+if [ -z ${DH_COMPONENT} ]
+then
+    echo DH_COMPONENT not set
+    exit 1
+fi
+
+if [ ! -d ${TDIR} ]
+then
+    echo ${TDIR} not a directory
+    exit 1
+fi
+
+if dh_auto_install -D ${TDIR}
+then
+    EXIT_STATUS=0
+else
+    EXIT_STATUS=1
+fi
+
+if dh_install ${TDIR}/Changes usr/share/doc/${PACKAGE}/${DH_COMPONENT}
+then
+    EXIT_STATUS=0
+else
+    EXIT_STATUS=1
+fi
+
+exit $EXIT_STATUS
+
+

Propchange: trunk/libcgi-application-plugin-authentication-perl/debian/components/install
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pkg-perl-cvs-commits mailing list